<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', function () {
    return view('home');
});

Route::get('users/login', 'Auth\AuthController@getLogin');
Route::post('users/login', 'Auth\AuthController@postLogin');
Route::get('users/logout', 'Auth\AuthController@getLogout');

Route::get('users/register', 'Auth\AuthController@getRegister');
Route::post('users/register', 'Auth\AuthController@postRegister');

Route::controllers([
    'auth' => '\App\Http\Controllers\Auth\AuthController',
    'password' => '\App\Http\Controllers\Auth\PasswordController',
]);

/* Authenticated users */
Route::group(['middleware' => 'auth'], function()
{
    Route::get('users/dashboard', array('as'=>'dashboard', function()
  	{
  	return View('users.dashboard');
  	}));
    Route::get('quizone', array('as' => 'quizone', 'uses' => 'ScoreController@index'));

Route::get('congrats', array('as' => 'congrats', 'uses' => 'GiftController@showgift'));

Route::get('flipcards', array('as' => 'flipcards', 'uses' => 'GiftController@showflipcards'));
    /*Route::get('flipcards', function () {
        return view('flipcards');
    });*/
    Route::get('draws', function () {
        return view('draws');
    });
    Route::get('congrats', function () {
        return view('congrats');
    });
});


Route::post('quizone', 'ScoreController@store');
Route::post('draw', 'DrawController@store');
Route::post('gift', 'GiftController@store');

Route::get('courses', function () {
    return view('courses');
});
Route::get('courseone', function () {
    return view('courseone');
});
Route::get('coursetwo', function () {
    return view('coursetwo');
});
Route::get('coursethree', function () {
    return view('coursethree');
});
Route::get('coursefour', function () {
    return view('coursefour');
});
Route::get('test', function () {
    return view('test');
});
Route::get('test2', function () {
    return view('test2');
});
